<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: file_upload.php
| Author  :FlyingDuck (Claus Pedersen)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/pop_up_header.php";
require_once INFUSIONS."member_file_uploads/file_upload_config.php";

if (file_exists(INFUSIONS."member_file_uploads/locale/".$settings['locale'].".php")) {
	include INFUSIONS."member_file_uploads/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."member_file_uploads/locale/English.php";
}

echo "<table border='0' width='100%' cellspacing='2' cellpadding='4'>
	<tr>
		<td>";



add_to_title(" | ".$locale['fup103']."");

if(!isset($del)){$del = '';}

if (iMEMBER) {
	if (isset($_GET['del'])) {
		$result = dbquery("SELECT * FROM ".$db_prefix."member_files WHERE file_name = '".$del."'");
		$row = dbarray($result);
		if (($userdata['user_id'] == $row['file_user'] && $allow_member_delete) || iSUPERADMIN) {

 		 $upload_folder = "".BASEDIR."uploads/";
		unlink($upload_folder.$_GET['del']);
		$remove = dbquery("DELETE FROM ".$db_prefix."member_files WHERE file_name = '".$_GET['del']."'");
			opentable($locale['fup110']);
			echo "<center><br />
			".$locale['fup111']."<br /><br />
			<a href='".FUSION_SELF."'>".$locale['fup112']."</a><br>
			</center>\n";
			closetable();
		} else {
			opentable($locale['fup110']);
			echo "<center><br />
			".$locale['fup114']."<br /><br />
			<a href='".FUSION_SELF."'>".$locale['fup112']."</a><br><br>
			</center>\n";
			closetable();
		}
	}
	if (isset($_FILES['upload'])) {
		$upload = $_FILES['upload'];
		if ($upload['name'] != "" && !empty($upload['name']) && is_uploaded_file($upload['tmp_name']) && $upload['size'] <= $upload_member_maxsize) {
			$upload_ext = strrchr($upload['name'],".");
			if (in_array($upload_ext, $upload_extensions)) {
				$upload_name = $upload['name'];
				move_uploaded_file($upload['tmp_name'], $upload_folder.$upload_name);
				chmod($upload_folder.$upload_name,0644);
				if (dbrows(dbquery("SELECT file_name FROM ".$db_prefix."member_files WHERE file_name = '".$upload_name."'")) != 0) { 
					$upload_error = $locale['fup126'];
				} else {
					$result = dbquery("INSERT INTO ".$db_prefix."member_files VALUES ('', '".$userdata['user_id']."', '".$upload_name."')");
				}
			} else {
				$upload_error = $locale['fup124'];
			}
		} else {
			$upload_error = $locale['fup125'];
		}
		opentable($locale['fup120']);
		echo "<div style='text-align:center'><br />
	".(!isset($upload_error) ? $locale['fup123'] : $upload_error)."<br /><br />
	</div\n";
		closetable();
		}

	// If members are allowed to delete their files, list files
	if ($allow_member_delete) {
                
		opentable($locale['fup130']);
                echo "<div>".$locale['fup104']."</div\n";
                echo"<div style=' height:320px; overflow:auto;'>";
		echo "<table width='99%' align='center' cellpadding='2' cellspacing='1' class='tbl-border'>
	<tr>
	<td class='tbl2'>".$locale['fup131']."</td>
	<td class='tbl2'>".$locale['fup132']."</td>
	<td class='tbl2'>".$locale['fup136']."</td>
	<td align='right' class='tbl2'>".$locale['fup133']."</td>
	</tr>\n";


		$file_list = makefilelist($upload_folder, ".|..|index.php", true);
		if (!isset($file_list)) { $file_count = 0; } else { $file_count = count($file_list); }
		$x=0;
		for ($i=0; $i < $file_count; $i++) {
			$file_size = filesize($upload_folder.$file_list[$i]);
			
				$result = dbquery("SELECT file_user FROM ".$db_prefix."member_files WHERE file_name = '".$file_list[$i]."' AND file_user='".$userdata['user_id']."'");
			
			if (dbrows($result) != 0) {
				if ($x % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
				echo "<tr>
                                
				<td class='$row_color'>".$settings['siteurl']."uploads/$file_list[$i]</td>
				<td class='$row_color'>".($file_size > 0 ? parseByteSize($file_size) : "-----")."</td>";
				$file_user = dbresult($result,0);
				$result2 = dbquery("SELECT * FROM ".$db_prefix."users WHERE user_id = '".$file_user."'");
				$row2 = dbarray($result2);
				echo "<td class='$row_color'>".$row2['user_name']."</td>";
				echo "<td align='right' class='$row_color'><a href='".FUSION_SELF."?del=$file_list[$i]'>".$locale['fup134']."</a></td>";
				echo"</tr>\n";
				$x++;
			}
		}

		echo "</table>\n";
                echo"</div>";
		closetable();
	}

	opentable($locale['fup120']);
		echo "<div style='text-align:center'>
		<form name='uploadform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data' onsubmit='this.upload_file.value=\"".$locale['fup135']."\";this.upload_file.disabled=true'>
		<input type='file' class='textbox' size='48' name='upload'><br />
		<input type='submit' class='button' name='upload_file' value='".$locale['fup120']."'><br /><br />
		".$locale['fup122'].parseByteSize($upload_member_maxsize)."
		</div>";
	closetable();
}

echo "</td>
	</tr>
</table>";

?>